=== debian/changelog ===
minetest (0.4.12+repack-2build1) wily; urgency=medium

  * No-change rebuild against libjsoncpp0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 04 Aug 2015 00:50:01 +0000

minetest (0.4.12+repack-2) unstable; urgency=medium

  * Fix FTBFS on architectures where luajit is not available.
    Update rawlua.patch. Do not add embedded lua subdirectory
    to build because it was removed.

 -- Markus Koschany <apo@gambaru.de>  Tue, 17 Mar 2015 18:15:33 +0100

minetest (0.4.12+repack-1) experimental; urgency=medium

  * Imported Upstream version 0.4.12+repack. (Closes: #778853)
  * Drop the following patches. They were merged upstream.
    - desktop-file.patch
    - hurd.patch
    - hyphen-used-as-minus.patch
  * Drop desktop-file-fix-icon.patch. Instead rename minetest icons and use
    the upstream name again. Install minetest.xpm to /usr/share/pixmaps which
    is a better location for xpm files.
  * Use dh_installchangelogs override for installing the upstream changelog.
  * Drop useless-depends.patch. Add missing build-dependencies instead.
  * Add libbz2-dev, libglu1-mesa-dev, libpng-dev and libjpeg-dev to
    Build-Depends.
  * wrap-and-sort -sa.
  * Drop gcc47.patch because it is obsolete.
  * Create directory for minetest.xpm in debian/rules and improve formatting.
  * Remove dh_auto_build override. Use --parallel with main dh invocation.
  * Use dh_auto_configure command to pass on build flags. Do not call cmake
    manually.
  * Rename debianization.patch to FindIrrlicht.cmake.patch. Append
    libIrrlicht.so to search patch instead of replacing other alternatives.
  * Drop dynamic-link.patch. Add FindJson.cmake.patch instead.
    - Remove unnecessary hunks and patch only FindJson.cmake module. This
      ensures that Debian's system json library will be used and simplifies
      future updates.

 -- Markus Koschany <apo@gambaru.de>  Mon, 16 Mar 2015 18:47:04 +0100
